(**************************************************************************)
(*  The CDuce compiler                                                    *)
(*  Alain Frisch <Alain.Frisch@inria.fr> and the CDuce team               *)
(*  Copyright CNRS,INRIA, 2003,2004 (see LICENSE for details)             *)
(**************************************************************************)

open Encodings

(** all schema simple type names used in this API are prefixed with
 * Schema_xml.xsd_prefix *)

exception Schema_builtin_error of Utf8.t

val is_builtin: Utf8.t -> bool
val get_builtin: Utf8.t -> Schema_types.simple_type_definition
val iter_builtin: (Schema_types.simple_type_definition -> unit) -> unit

val cd_type_of_builtin: Utf8.t -> Types.descr

  (** validate_builtin <builtin> <string>
   * validates <string> against builtin type <builtin> and return the resulting
   * cduce value
   * @raise Schema_builtin_error [name] in case of validation error, where
   * [name] is the name of a schema built in type prefixed with
   * Schema_xml.xsd_prefix *)
val validate_builtin: Utf8.t -> Utf8.t -> Value.t

val string_of_time_type: (Ns.qname * Value.t) list -> Utf8.t

