(**************************************************************************)
(*  The CDuce compiler                                                    *)
(*  Alain Frisch <Alain.Frisch@inria.fr> and the CDuce team               *)
(*  Copyright CNRS,INRIA, 2003,2004 (see LICENSE for details)             *)
(**************************************************************************)

(** XML Schema Documents parsing *)

open Schema_types
open Schema_xml

(*
  (** parse a schema from a PXP source *)
val parse_schema: Pxp_types.source -> schema

  (** parse a schema from a PXP node *)
val schema_of_node: pxp_node -> schema
*)

  (** shortand for "parse_schema (Pxp_types.from_file <fname>)" *)
val schema_of_file: string -> schema

  (** shortand for "parse_schema (Pxp_types.from_string <fname>)" *)
val schema_of_string: string -> schema

